--- mell-1.0.0.orig/debian/README.Debian
+++ mell-1.0.0/debian/README.Debian
@@ -0,0 +1,11 @@
+mell for Debian
+---------------
+
+ * Setup mell
+
+ There is no need to setup, though official documents suggests to add 
+ "(require 'init-mell)" to your $HOME/.emacs.  Because debian 
+ package of mell has its own debian-startup file
+ (/etc/emacs/site-start.d/55mell.el) and configured automatically.
+
+ -- Hidetaka Iwai <tyuyu@debian.or.jp>, Tue Feb  3 07:46:17 2004
--- mell-1.0.0.orig/debian/rules
+++ mell-1.0.0/debian/rules
@@ -0,0 +1,92 @@
+#!/usr/bin/make -f
+# Sample debian/rules that uses debhelper.
+# GNU copyright 1997 to 1999 by Joey Hess.
+
+# Uncomment this to turn on verbose mode.
+#export DH_VERBOSE=1
+
+# Include dpatch stuff.
+include /usr/share/dpatch/dpatch.make
+
+VERSION=`dpkg-parsechangelog | grep '^Version: ' | sed -e "s/^Version: //g"`
+
+configure: configure-stamp
+configure-stamp: patch
+	dh_testdir
+
+	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --sysconfdir=/etc --with-emacs-initdir=\$${datadir}/emacs/site-lisp/mell
+
+	sed -e "s/@VERSION@/$(VERSION)/g" debian/emacsen-install.in > debian/emacsen-install
+
+	touch configure-stamp
+
+build: configure-stamp build-stamp
+build-stamp: 
+	dh_testdir
+
+	# Add here commands to compile the package.
+	$(MAKE)
+	#/usr/bin/docbook-to-man debian/mell.sgml > mell.1
+
+	touch build-stamp
+
+clean: clean1 unpatch
+
+clean1: 
+	@echo "--- Cleaning"
+
+	dh_testdir
+	dh_testroot
+	rm -f build-stamp configure-stamp debian/emacsen-install
+	-$(MAKE) distclean
+
+	dh_clean 
+
+
+install: build
+	dh_testdir
+	dh_testroot
+	dh_clean -k
+	dh_installdirs
+
+	# Add here commands to install the package into debian/mell.
+	# install *.el file except prime-conf.el
+	$(MAKE) install DESTDIR=$(CURDIR)/debian/mell
+
+# Build architecture-independent files here.
+binary-indep: build install
+	dh_testdir
+	dh_testroot
+	dh_installchangelogs ChangeLog
+	dh_installdocs doc
+	dh_installexamples 
+#	dh_install
+#	dh_installmenu
+#	dh_installdebconf	
+#	dh_installlogrotate
+	dh_installemacsen --priority=55
+#	dh_installpam
+#	dh_installmime
+#	dh_installinit
+#	dh_installcron
+#	dh_installinfo
+#	dh_installman
+#	dh_link
+#	dh_strip
+	dh_compress
+	dh_fixperms
+#	dh_perl
+#	dh_python
+#	dh_makeshlibs
+	dh_installdeb
+	dh_shlibdeps
+	dh_gencontrol
+	dh_md5sums
+	dh_builddeb
+
+# Build architecture-dependent files here.
+binary-arch: build install
+
+	# Nothing to do...
+binary: binary-indep binary-arch
+.PHONY: build clean binary-indep binary-arch binary install patch unpatch clean1
--- mell-1.0.0.orig/debian/changelog
+++ mell-1.0.0/debian/changelog
@@ -0,0 +1,72 @@
+mell (1.0.0-7) unstable; urgency=medium
+
+  * Acknowledge NMU (closes: Bug#391780, Bug#392602). Thanks to 
+    Tatsuya Kinoshita.
+
+ -- Hidetaka Iwai <tyuyu@debian.or.jp>  Sat, 11 Nov 2006 01:04:51 +0900
+
+mell (1.0.0-6.1) unstable; urgency=medium
+
+  * NMU to fix an RC bug and lintian errors.
+  * debian/emacsen-install.in: Use the -no-site-file option to prevent
+    installation failure with xemacs21.  (Closes: Bug#391780)
+  * debian/control: Move debhelper and dpatch from Build-Depends-Indep
+    to Build-Depends.  (Closes: Bug#392602)
+  * debian/rules: Use `make distclean' instead of `make clean' to remove
+    configure generated files.
+  * debian/copyright: Update the postal address of FSF and mention
+    Debian packaging conditions.
+  * debian/control: Set Standards-Version to 3.7.2.
+
+ -- Tatsuya Kinoshita <tats@debian.org>  Sat,  4 Nov 2006 07:26:16 +0900
+
+mell (1.0.0-6) unstable; urgency=low
+
+  * README.Debian: Add notice about setup suggested by
+    Akira Yamada <akira@arika.org>. Thanks.
+
+ -- Hidetaka Iwai <tyuyu@debian.or.jp>  Tue,  3 Feb 2004 07:48:32 +0900
+
+mell (1.0.0-5) unstable; urgency=low
+
+  * debian/emacsen-install.in: Fix to byte-compile correctly with xemacs21.
+  * debian/rules: Change to use init_mell.el as debian emacsen-startup.
+
+ -- Hidetaka Iwai <tyuyu@debian.or.jp>  Sun, 25 Jan 2004 06:37:22 +0900
+
+mell (1.0.0-4) unstable; urgency=low
+
+  * debian/control: New maintainer with previous maintainer's agreement.
+  * First upload to Debian.  Close wnpp bug.  (Closes: Bug#226439)
+
+ -- Hidetaka Iwai <tyuyu@debian.or.jp>  Sun, 25 Jan 2004 06:27:36 +0900
+
+mell (1.0.0-3) unstable; urgency=low
+
+  * Reconstruct package.
+
+ -- Hidetaka Iwai <tyuyu@debian.or.jp>  Fri,  2 Jan 2004 11:54:05 +0900
+
+mell (1.0.0-2) unstable; urgency=low
+
+  * Disabled compilation for xemacs2x series. This is due to compilation error when using xemacs2x.
+
+ -- Yasuhito Takamiya <takamiya@matsulab.is.titech.ac.jp>  Wed,  4 Jun 2003 13:58:59 +0900
+
+mell (1.0.0-1) unstable; urgency=low
+
+  * New upstream version.
+
+ -- Yasuhito Takamiya <takamiya@matsulab.is.titech.ac.jp>  Tue,  3 Jun 2003 19:24:04 +0900
+
+mell (20030307-2) unstable; urgency=low
+
+  * Correct target architecture from 'any' to 'all'.
+
+ -- Yasuhito Takamiya <takamiya@matsulab.is.titech.ac.jp>  Fri, 23 May 2003 20:17:39 +0900
+
+mell (20030307-1) unstable; urgency=low
+
+  * Initial Release.
+
+ -- Yasuhito Takamiya <takamiya@matsulab.is.titech.ac.jp>  Wed, 12 Mar 2003 14:19:26 +0900
--- mell-1.0.0.orig/debian/control
+++ mell-1.0.0/debian/control
@@ -0,0 +1,16 @@
+Source: mell
+Section: editors
+Priority: optional
+Maintainer: Hidetaka Iwai <tyuyu@debian.or.jp>
+Build-Depends: debhelper (>> 4.0.0), dpatch
+Standards-Version: 3.7.2
+
+Package: mell
+Architecture: all
+Depends: emacs21|emacsen, apel (>= 10.0-1)
+Description: emacs lisp library written by Hiroyuki Komatsu
+ This package contains miscellaneous emacs lisp library written by 
+ Hiroyuki Komatsu  <komatsu@taiyaki.org>.
+ .
+ URI: http://taiyaki.org/
+
--- mell-1.0.0.orig/debian/emacsen-install.in
+++ mell-1.0.0/debian/emacsen-install.in
@@ -0,0 +1,59 @@
+#! /bin/sh -e
+# /usr/lib/emacsen-common/packages/install/mell
+
+FLAVOR=$1
+VERSION=@VERSION@
+PACKAGE=mell
+
+if [ "X${FLAVOR}" = "X" ]; then
+    echo "Need argument to determine FLAVOR of emacsen"
+    exit 1
+fi
+if [ "X${PACKAGE}" = "X" ]; then
+    echo "Internal error: need package name"
+    exit 1
+fi
+if [ "X${FLAVOR}" = Xemacs ]; then exit 0; fi
+if [ "X${FLAVOR}" = Xemacs19 ]; then exit 0; fi
+if [ "X${FLAVOR}" = Xmule2 ]; then exit 0; fi
+
+ELDIR=/usr/share/emacs/site-lisp/${PACKAGE}
+SITELISP=/usr/share/${FLAVOR}/site-lisp
+ELCDIR=${SITELISP}/${PACKAGE}
+APELDIR=${SITELISP}/apel
+SITEFLAG=-no-site-file
+FLAGS="${SITEFLAG} -q -batch -l ./path.el -l ${APELDIR}/poe.elc -f batch-byte-compile"
+STAMP="${ELCDIR}/compile-stamp"
+
+LOG=CompilationLog
+
+echo -n "install/${PACKAGE}: Handling install for emacsen flavor ${FLAVOR}..."
+if [ -e "${STAMP}" ]; then
+    if [ "X${VERSION}" = X"$(cat ${STAMP})" ]; then
+	echo " skipped. (already compiled)" 
+	exit 0
+    else
+	rm -f ${STAMP}
+    fi
+fi
+
+rm -rf ${ELCDIR}
+install -m 755 -d ${ELCDIR}
+cd ${ELDIR}
+FILES=$(echo *.el)
+cp ${FILES} ${ELCDIR}
+cd ${ELCDIR}
+
+cat << EOF > path.el
+(setq load-path (cons "${APELDIR}/" (cons "." load-path)) byte-compile-warnings nil)
+EOF
+${FLAVOR} ${FLAGS} ${FILES} > ${LOG} 2>&1
+gzip -9 ${LOG}
+
+rm -f *.el path.el
+
+echo "${VERSION}" > ${STAMP}
+chmod 644 ${STAMP}
+
+echo " done."
+exit 0
--- mell-1.0.0.orig/debian/compat
+++ mell-1.0.0/debian/compat
@@ -0,0 +1 @@
+4
--- mell-1.0.0.orig/debian/emacsen-remove
+++ mell-1.0.0/debian/emacsen-remove
@@ -0,0 +1,15 @@
+#!/bin/sh -e
+# /usr/lib/emacsen-common/packages/remove/mell
+
+FLAVOR=$1
+PACKAGE=mell
+
+if [ ${FLAVOR} != emacs ]; then
+    if test -x /usr/sbin/install-info-altdir; then
+        echo remove/${PACKAGE}: removing Info links for ${FLAVOR}
+        install-info-altdir --quiet --remove --dirname=${FLAVOR} /usr/info/mell.info.gz
+    fi
+
+    echo remove/${PACKAGE}: purging byte-compiled files for ${FLAVOR}
+    rm -rf /usr/share/${FLAVOR}/site-lisp/${PACKAGE}
+fi
--- mell-1.0.0.orig/debian/copyright
+++ mell-1.0.0/debian/copyright
@@ -0,0 +1,27 @@
+This package was debianized by Hidetaka Iwai <tyuyu@debian.or.jp> on
+Tue,  3 Jun 2003 06:43:34 +0900.
+
+It was downloaded from http://taiyaki.org/elisp/mell/
+
+Upstream Author: Hiroyuki Komatsu  <komatsu@taiyaki.org>
+
+Copyright:
+
+   This package is free software; you can redistribute it and/or modify
+   it under the terms of the GNU General Public License as published by
+   the Free Software Foundation; version 2 dated June, 1991.
+
+   This package is distributed in the hope that it will be useful,
+   but WITHOUT ANY WARRANTY; without even the implied warranty of
+   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+   GNU General Public License for more details.
+
+   You should have received a copy of the GNU General Public License
+   along with this package; if not, write to the Free Software
+   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
+
+On Debian systems, the complete text of the GNU General
+Public License can be found in `/usr/share/common-licenses/GPL'.
+
+The Debian packaging is distributed under the same conditions as
+the upstream.
--- mell-1.0.0.orig/debian/patches/10_adapt_debian_emacs_policy.dpatch
+++ mell-1.0.0/debian/patches/10_adapt_debian_emacs_policy.dpatch
@@ -0,0 +1,38 @@
+#!/bin/sh -e
+## 10_adapt_debian_emacs_policy.dpatch by Hidetaka Iwai <tyuyu@debian.or.jp>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: No description.
+
+if [ $# -lt 1 ]; then
+    echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+    exit 1
+fi
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch}"
+
+case "$1" in
+       -patch) patch $patch_opts -p1 < $0;;
+       -unpatch) patch $patch_opts -p1 -R < $0;;
+        *)
+                echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+                exit 1;;
+esac
+
+exit 0
+
+@DPATCH@
+diff -urNad /home/tyuyu/debworks/mell/mell-1.0.0/etc/_init-mell.el.in mell-1.0.0/etc/_init-mell.el.in
+--- /home/tyuyu/debworks/mell/mell-1.0.0/etc/_init-mell.el.in	2004-02-03 07:49:13.000000000 +0900
++++ mell-1.0.0/etc/_init-mell.el.in	2004-02-03 07:50:04.000000000 +0900
+@@ -8,9 +8,6 @@
+ ;;;; You can redistribute it and/or modify it under the terms of 
+ ;;;; the GNU General Public License version 2.
+ 
+-(setq load-path
+-      (cons (expand-file-name (concat "@emacs_sitelisp_dir@"
+-				      "/@PACKAGE@")) load-path))
+ (defconst @PACKAGE@-version '("@VERSION@" "@DATE@"))
+ 
+ (provide '@MELL_FEATURE_NAME@)
--- mell-1.0.0.orig/debian/patches/00list
+++ mell-1.0.0/debian/patches/00list
@@ -0,0 +1 @@
+10_adapt_debian_emacs_policy
--- mell-1.0.0.orig/debian/docs
+++ mell-1.0.0/debian/docs
@@ -0,0 +1,3 @@
+AUTHORS      
+README
+
--- mell-1.0.0.orig/debian/emacsen-startup
+++ mell-1.0.0/debian/emacsen-startup
@@ -0,0 +1,18 @@
+;; -*-emacs-lisp-*-
+;;
+;; Emacs startup file for the Debian mell package
+;;
+;; Originally contributed by Nils Naumann <naumann@unileoben.ac.at>
+;; Modified by Dirk Eddelbuettel <edd@debian.org>
+;; Adapted for dh-make by Jim Van Zandt <jrv@vanzandt.mv.com>
+
+;; The mell package follows the Debian/GNU Linux 'emacsen' policy and
+;; byte-compiles its elisp files for each 'emacs flavor' (emacs19,
+;; xemacs19, emacs20, xemacs20...).  The compiled code is then
+;; installed in a subdirectory of the respective site-lisp directory.
+;; We have to add this to the load-path:
+(setq load-path (cons (concat "/usr/share/"
+                              (symbol-name flavor)
+			      "/site-lisp/mell") load-path))
+
+(require 'init-mell)
